Add an adoption follow-up
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/adoptions/followup-templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "One-week check-in call",
"offset_days": 7
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: 'One-week check-in call', offset_days: 7})
};
fetch('https://{organization}.rescueconsole.com/api/animals/adoptions/followup-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/adoptions/followup-templates"
payload = {
"label": "One-week check-in call",
"offset_days": 7
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"template": {
"id": "<string>",
"label": "<string>",
"offset_days": 1,
"is_active": 0,
"sort_order": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Adoptions
Add an adoption follow-up
Adds a follow-up that every adoption finalized from now on makes a task for. Two follow-ups cannot share a label and a number of days. Needs write on Animals.
POST
/
api
/
animals
/
adoptions
/
followup-templates
Add an adoption follow-up
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/adoptions/followup-templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "One-week check-in call",
"offset_days": 7
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: 'One-week check-in call', offset_days: 7})
};
fetch('https://{organization}.rescueconsole.com/api/animals/adoptions/followup-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/adoptions/followup-templates"
payload = {
"label": "One-week check-in call",
"offset_days": 7
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"template": {
"id": "<string>",
"label": "<string>",
"offset_days": 1,
"is_active": 0,
"sort_order": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
An API key from Settings, API keys. It starts with rc_live_.
Body
application/json
Response
The follow-up.
Show child attributes
Show child attributes